Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## play.modules.morphia.utils
Class IdGenerator

    java.lang.Object
      play.modules.morphia.utils.IdGenerator

    public class IdGenerator

extends Object

Constructor Summary
`IdGenerator()`

Method Summary
`static Datastore` | `ds()`
`static Object` | `generateId(Model entity)`
`static
`<T extends Model> Long`
` | `generateLongId(Class<T> clazz)`
`static
`<T extends Model> Long`
` | `generateLongId(T entity)`
`static
`<T extends Model> ObjectId`
` | `generateObjectIdId(Class<T> clazz)`
`static
`<T extends Model> ObjectId`
` | `generateObjectIdId(T entity)`
`static String` | `getIdTypeName()`
`static Object` | `processId(Object id)`
`static Long` | `processLongId(Object id)`
`static ObjectId` | `processObjectId(Object id)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IdGenerator

    public IdGenerator()

Method Detail

### ds

    public static Datastore ds()

### generateId

    public static Object generateId(Model entity)

### generateLongId

    public static <T extends Model> Long generateLongId(T entity)

### generateLongId

    public static <T extends Model> Long generateLongId(Class<T> clazz)

### generateObjectIdId

    public static <T extends Model> ObjectId generateObjectIdId(T entity)

### generateObjectIdId

    public static <T extends Model> ObjectId generateObjectIdId(Class<T> clazz)

### getIdTypeName

    public static String getIdTypeName()

### processId

    public static Object processId(Object id)

### processObjectId

    public static ObjectId processObjectId(Object id)

### processLongId

    public static Long processLongId(Object id)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.